Support

Home Forums Event Espresso Premium PHP version 8

PHP version 8

Posted: January 4, 2022 at 4:04 pm


azlro

January 4, 2022 at 4:04 pm

last post I saw was in Sept 2021 regarding PHP 8 supprt, is 7.4 the only version still supported?


Brent Christensen

  • Support Staff

January 4, 2022 at 6:17 pm

We’ve been waiting for WordPress 5.9 to be released because that is the first version of WordPress that will be fully PHP 8 compatible. Currently there’s issues with getting unit tests to work because the WordPress unit test framework is full of incompatibilities, and our unit tests rely on the WordPress core test framework.

WordPress 5.9 was supposed to be released in December but it has been pushed back to January 25th.

That said, full PHP 8 compatibility is high on my list of priorities but I have not had the time nor the manpower available to solve all of the incompatibilities with the WordPress test framework.

If you are familiar with Git, you can try out this branch that includes all of our current fixes for PHP 8 incompatibilities: https://github.com/eventespresso/event-espresso-core/tree/BUG/php-8-issues


azlro

January 12, 2022 at 6:40 pm

We downgraded to 7.4.x and all is well now, thanks!

You must be logged in to reply to this support post. Sign In or Register for an Account

Event Espresso